# Databricks notebook source
# MAGIC %md
# MAGIC ## DBFS mount
# MAGIC 
# MAGIC You can mount an external storage to the Databricks File System.
# MAGIC Mounts are available to all users connected to the cluster

# COMMAND ----------

try:
  dbutils.fs.unmount("/mnt/ads-globaldata")
finally:
  dbutils.fs.mount(
    source = "wasbs://globaldata@<your_account_name_here>.blob.core.windows.net/",
    mount_point = "/mnt/ads-globaldata",
    extra_configs = {"fs.azure.account.key.<your_account_name_here>.blob.core.windows.net":
  "<your_account_key_here>"})

# COMMAND ----------

try:
  dbutils.fs.unmount("/mnt/ads-staging")
finally:
  dbutils.fs.mount(
    source = "wasbs://staging@<your_account_name_here>.blob.core.windows.net/",
    mount_point = "/mnt/ads-staging",
    extra_configs = {"fs.azure.account.key.<your_account_name_here>.blob.core.windows.net":
  "<your_account_key_here>"})

# COMMAND ----------

# MAGIC %md
# MAGIC You can explore mount content by using `%fs ls <mount name>` <br>

# COMMAND ----------

# MAGIC %fs ls /mnt/ads-globaldata

# COMMAND ----------

# MAGIC %fs ls /mnt/ads-staging
